<div class="card">
    <div class="card-body">
        <div *ngIf="character != undefined">
            <div class="row">
                <div class="col-md-12">
                    <button type="button" class="btn btn-primary derecha" (click)="backClicked()">Atrás</button>
                </div>
                <div class="col-md-6">
                    <div style="width: 80%;margin: 0 auto;">
                        <img src={{character.image}} alt="imagen"/>
                    </div>
                </div>
                <div class="col-md-6">
                    <h1>{{character.name}}</h1>
                    <h4>Estado: {{character.status}}</h4>
                    <h4>Especie: {{character.species}}</h4>
                    <h4>Género: {{character.gender}}</h4>
                    <h4>Origen: {{character['origin']['name']}}</h4>
                    <h4>Locación: {{character['location']['name']}}</h4>
                </div>
            </div>
            <div>
                <h2>Lista de capitulos</h2>
                <button class="waves-effect waves-light btn" (click)="getChapterByCaracter()">Listar</button>
            </div>
            <div class="row pt-4">
                <div class="col-md-2 box-chapters" *ngFor="let capitulo of chapters">
                    <h5>Nombre: {{capitulo['name']}}</h5>
                    <h6>Estreno: {{capitulo['date']}}</h6>
                    <h6>Creado: {{capitulo['created']}}</h6>
                    <h6>Episodio: {{capitulo['episode']}}</h6>
                </div>
            </div>
        </div>
    </div>
</div>